Modify

Ticket #3098 (closed Bugs: fixed)

Opened 5 years ago

Last modified 5 years ago

Abort in boost::asio::ip::tcp::acceptor constructor on Mac OS X

Reported by: michelnok@… Owned by: chris_kohlhoff
Milestone: Component: asio
Version: Boost 1.39.0 Severity: Problem
Keywords: Cc:

Description

I'm trying to run one of 'Echo' samples (http://www.boost.org/doc/libs/1_39_0/doc/html/boost_asio/example/echo/async_tcp_echo_server.cpp) on Mac OS X. Boost libraries were built using bootstrap/bjam, the same compiler (GCC 4.0.1) was used to build the sample, then libboost_system-xgcc40-mt.a was linked to the executable. The sample aborts in boost::asio::ip::tcp::server constructor (actually, in hash_map::rehash that is called by kqueue_reactor). The stack trace is attached.

Attachments

stacktrace.txt Download (5.9 KB) - added by michelnok@… 5 years ago.

Change History

Changed 5 years ago by michelnok@…

comment:1 in reply to: ↑ description Changed 5 years ago by michelnok@…

  • Summary changed from Abort in boost::asio::ip::tcp::server constructor on Mac OS X to Abort in boost::asio::ip::tcp::acceptor constructor on Mac OS X

Replying to michelnok@mail.ru:

The sample aborts in boost::asio::ip::tcp::server constructor

Sorry for misprint. Of course, boost::asio::ip::tcp::acceptor.

comment:2 Changed 5 years ago by michelnok@…

The bug is specific to Boost version 1.39.0 Boost version 1.38.0 works fine in the same environment.

comment:3 Changed 5 years ago by chris_kohlhoff

  • Status changed from new to assigned

Fixed on trunk in changeset [54390].

comment:4 Changed 5 years ago by chris_kohlhoff

  • Status changed from assigned to closed
  • Resolution set to fixed

(In [54499]) Merge from trunk. Fixes #3095, #3216, #3098, #3107, #1341, #2754, #3157, #2620, #2618.

........

r54373 | chris_kohlhoff | 2009-06-26 21:03:14 +1000 (Fri, 26 Jun 2009) | 2 lines

Fix doc generation for array reference parameters.

........

r54376 | chris_kohlhoff | 2009-06-26 23:35:04 +1000 (Fri, 26 Jun 2009) | 2 lines

Fix bug in hash resize. Ref #3095.

........

r54377 | chris_kohlhoff | 2009-06-26 23:55:24 +1000 (Fri, 26 Jun 2009) | 3 lines

Remove a local variable that was hiding the ec parameter and preventing error codes from being correctly propagated. Ref #3216.

........

r54390 | chris_kohlhoff | 2009-06-27 12:17:49 +1000 (Sat, 27 Jun 2009) | 2 lines

Fix failures reported when the tests are built with _GLIBCXX_DEBUG. Ref #3098.

........

r54392 | chris_kohlhoff | 2009-06-27 15:24:16 +1000 (Sat, 27 Jun 2009) | 2 lines

Fix custom memory allocation for timers. Ref #3107.

........

r54393 | chris_kohlhoff | 2009-06-27 17:07:40 +1000 (Sat, 27 Jun 2009) | 2 lines

Fix various g++ warnings. Ref #1341.

........

r54400 | chris_kohlhoff | 2009-06-27 17:52:11 +1000 (Sat, 27 Jun 2009) | 4 lines

Use boost::throw_exception() rather than throw keyword to allow asio to be used when exception support is disabled. Note that the SSL wrappers still require exception support. Refs #2754.

........

r54407 | chris_kohlhoff | 2009-06-27 19:13:24 +1000 (Sat, 27 Jun 2009) | 2 lines

Make links to function overloads more obvious.

........

r54466 | chris_kohlhoff | 2009-06-28 23:07:43 +1000 (Sun, 28 Jun 2009) | 2 lines

Add header file information to reference docs. Refs #3157.

........

r54467 | chris_kohlhoff | 2009-06-28 23:20:17 +1000 (Sun, 28 Jun 2009) | 4 lines

Treat 0-byte reads and writes as no-ops to comply with the documented type requirements for SyncReadStream?, AsyncReadStream?, SyncWriteStream? and AsyncWriteStream?.

........

r54498 | chris_kohlhoff | 2009-06-29 19:32:41 +1000 (Mon, 29 Jun 2009) | 2 lines

Add enum values to doc index. Refs #2620.

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.